ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thibaut (Jira)" <j...@apache.org>
Subject [jira] [Updated] (IGNITE-12236) RepositoryFactorySupport#getQueryLookupStrategy no longer overriden in IgniteRepositoryFactory
Date Mon, 30 Sep 2019 09:05:00 GMT

     [ https://issues.apache.org/jira/browse/IGNITE-12236?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Thibaut updated IGNITE-12236:
-----------------------------
    Description: 
Hello,

org.apache.ignite.springdata20.repository.support.IgniteRepositoryFactory#getQueryLookupStrategy

does not override 

org.springframework.data.repository.core.support.RepositoryFactorySupport#getQueryLookupStrategy

since this commit

[https://github.com/spring-projects/spring-data-commons/commit/a6215fbe0f5c9a254cddacb12763737f2c286ad5] 

this results in a thrown exception in 

org.springframework.data.repository.core.support.RepositoryFactorySupport.QueryExecutorMethodInterceptor#QueryExecutorMethodInterceptor

 

 This prevents using ignite with any up to date version of spring. Fixing this would require
updating <spring.data-2.0.version> that's the reason I'm puting this as Improvement.

  was:
Hello,

org.apache.ignite.springdata20.repository.support.IgniteRepositoryFactory#getQueryLookupStrategy

does not override 

org.springframework.data.repository.core.support.RepositoryFactorySupport#getQueryLookupStrategy

since this commit

[https://github.com/spring-projects/spring-data-commons/commit/a6215fbe0f5c9a254cddacb12763737f2c286ad5] 

this results in a thrown exception in 

org.springframework.data.repository.core.support.RepositoryFactorySupport.QueryExecutorMethodInterceptor#QueryExecutorMethodInterceptor

 

 This prevents using ignite with any up to date version of spring. Fixing this would require
updating <spring.data-2.0.version> wich is why I'm puting this as Improvement.


> RepositoryFactorySupport#getQueryLookupStrategy no longer overriden in IgniteRepositoryFactory
> ----------------------------------------------------------------------------------------------
>
>                 Key: IGNITE-12236
>                 URL: https://issues.apache.org/jira/browse/IGNITE-12236
>             Project: Ignite
>          Issue Type: Improvement
>          Components: spring
>    Affects Versions: 2.8, 2.7.6
>            Reporter: Thibaut
>            Priority: Major
>
> Hello,
> org.apache.ignite.springdata20.repository.support.IgniteRepositoryFactory#getQueryLookupStrategy
> does not override 
> org.springframework.data.repository.core.support.RepositoryFactorySupport#getQueryLookupStrategy
> since this commit
> [https://github.com/spring-projects/spring-data-commons/commit/a6215fbe0f5c9a254cddacb12763737f2c286ad5] 
> this results in a thrown exception in 
> org.springframework.data.repository.core.support.RepositoryFactorySupport.QueryExecutorMethodInterceptor#QueryExecutorMethodInterceptor
>  
>  This prevents using ignite with any up to date version of spring. Fixing this would
require updating <spring.data-2.0.version> that's the reason I'm puting this as Improvement.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message